<!--<mat-tab-group animationDuration="0">-->
<!--  <mat-tab *ngFor="let entry of entries">-->
<!--<button (click)="toggle()">click</button>-->
<div [@container]="fadingState" [style.opacity]="0">
  <!--  {{fadingState}}-->
  <ng-container *ngIf="entry">
    <div [ngSwitch]="entry.type" style="min-height: 100vh; width: 100vw; overflow: hidden;">
      <app-news *ngSwitchCase="moduleTypes.News" [message]="entry"></app-news>
      <app-shouts *ngSwitchCase="moduleTypes.Shouts" [message]="entry"></app-shouts>
      <app-pictures *ngSwitchCase="moduleTypes.Pictures" [message]="entry"></app-pictures>
      <app-welcome-message *ngSwitchCase="moduleTypes.WelcomeMessage" [message]="entry"></app-welcome-message>
      <app-announcements *ngSwitchCase="moduleTypes.Announcements" [message]="entry"></app-announcements>
      <app-match-result *ngSwitchCase="moduleTypes.MatchResult" [message]="entry"></app-match-result>
      <app-tournaments *ngSwitchCase="moduleTypes.Tournaments" [message]="entry"></app-tournaments>
      <app-timeline *ngSwitchCase="moduleTypes.Timeline" [message]="entry"></app-timeline>
      <app-upcoming-matches *ngSwitchCase="moduleTypes.Matches" [message]="entry"></app-upcoming-matches>
      <app-finished-matches *ngSwitchCase="moduleTypes.MatchResults" [message]="entry"></app-finished-matches>
    </div>
    <!--    <div *ngIf="showDebug">-->
    <!--      <mat-divider style="margin-top: 50px;"></mat-divider>-->
    <!--      <pre>{{entry|json}}</pre>-->
    <!--    </div>-->
  </ng-container>
</div>
